petsc-3.4.2 2013-07-02

# PetscMemoryShowUsage

Shows the amount of memory currently being used in a communicator.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMemoryShowUsage(PetscViewer viewer,const char message[])

Collective on PetscViewer

### Input Parameter

| viewer | - the viewer that defines the communicator
| message | - string printed before values

### See Also

PetscMallocDump(), PetscMemoryGetCurrentUsage()

Level:intermediate
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages